"Fossies" - the Fresh Open Source Software Archive

Member "usbutils-015/Makefile.in" (3 Dec 2022, 53945 Bytes) of package /linux/misc/usbutils-015.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 014_vs_015.

A hint: This file contains one or more very long lines, so maybe it is better readable using the pure text view mode that shows the contents as wrapped lines within the browser window.


    1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 # SPDX-License-Identifier: GPL-2.0-or-later
   18 # Copyright (c) 2004 Thomas Sailer <sailer@ife.ee.ethz.ch>
   19 # Copyright (c) 2005-2006 David Brownell <dbrownell@users.sourceforge.net>
   20 # Copyright (c) 2009 Kay Sievers <kay.sievers@vrfy.org>
   21 # Copyright (c) 2009 Greg Kroah-Hartman <gregkh@suse.de>
   22 
   23 
   24 
   25 VPATH = @srcdir@
   26 am__is_gnu_make = { \
   27   if test -z '$(MAKELEVEL)'; then \
   28     false; \
   29   elif test -n '$(MAKE_HOST)'; then \
   30     true; \
   31   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   32     true; \
   33   else \
   34     false; \
   35   fi; \
   36 }
   37 am__make_running_with_option = \
   38   case $${target_option-} in \
   39       ?) ;; \
   40       *) echo "am__make_running_with_option: internal error: invalid" \
   41               "target option '$${target_option-}' specified" >&2; \
   42          exit 1;; \
   43   esac; \
   44   has_opt=no; \
   45   sane_makeflags=$$MAKEFLAGS; \
   46   if $(am__is_gnu_make); then \
   47     sane_makeflags=$$MFLAGS; \
   48   else \
   49     case $$MAKEFLAGS in \
   50       *\\[\ \	]*) \
   51         bs=\\; \
   52         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   53           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   54     esac; \
   55   fi; \
   56   skip_next=no; \
   57   strip_trailopt () \
   58   { \
   59     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   60   }; \
   61   for flg in $$sane_makeflags; do \
   62     test $$skip_next = yes && { skip_next=no; continue; }; \
   63     case $$flg in \
   64       *=*|--*) continue;; \
   65         -*I) strip_trailopt 'I'; skip_next=yes;; \
   66       -*I?*) strip_trailopt 'I';; \
   67         -*O) strip_trailopt 'O'; skip_next=yes;; \
   68       -*O?*) strip_trailopt 'O';; \
   69         -*l) strip_trailopt 'l'; skip_next=yes;; \
   70       -*l?*) strip_trailopt 'l';; \
   71       -[dEDm]) skip_next=yes;; \
   72       -[JT]) skip_next=yes;; \
   73     esac; \
   74     case $$flg in \
   75       *$$target_option*) has_opt=yes; break;; \
   76     esac; \
   77   done; \
   78   test $$has_opt = yes
   79 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   80 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   81 pkgdatadir = $(datadir)/@PACKAGE@
   82 pkgincludedir = $(includedir)/@PACKAGE@
   83 pkglibdir = $(libdir)/@PACKAGE@
   84 pkglibexecdir = $(libexecdir)/@PACKAGE@
   85 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   86 install_sh_DATA = $(install_sh) -c -m 644
   87 install_sh_PROGRAM = $(install_sh) -c
   88 install_sh_SCRIPT = $(install_sh) -c
   89 INSTALL_HEADER = $(INSTALL_DATA)
   90 transform = $(program_transform_name)
   91 NORMAL_INSTALL = :
   92 PRE_INSTALL = :
   93 POST_INSTALL = :
   94 NORMAL_UNINSTALL = :
   95 PRE_UNINSTALL = :
   96 POST_UNINSTALL = :
   97 bin_PROGRAMS = lsusb$(EXEEXT)
   98 noinst_PROGRAMS = usbreset$(EXEEXT)
   99 subdir = .
  100 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  101 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  102 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  103 	$(ACLOCAL_M4)
  104 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  105 	$(am__configure_deps) $(am__DIST_COMMON)
  106 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  107  configure.lineno config.status.lineno
  108 mkinstalldirs = $(install_sh) -d
  109 CONFIG_HEADER = config.h
  110 CONFIG_CLEAN_FILES =
  111 CONFIG_CLEAN_VPATH_FILES =
  112 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
  113 	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man1dir)" \
  114 	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(datadir)"
  115 PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
  116 am_lsusb_OBJECTS = lsusb-lsusb.$(OBJEXT) lsusb-lsusb-t.$(OBJEXT) \
  117 	lsusb-desc-defs.$(OBJEXT) lsusb-desc-dump.$(OBJEXT) \
  118 	lsusb-names.$(OBJEXT) lsusb-sysfs.$(OBJEXT) \
  119 	lsusb-usbmisc.$(OBJEXT)
  120 lsusb_OBJECTS = $(am_lsusb_OBJECTS)
  121 am__DEPENDENCIES_1 =
  122 lsusb_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
  123 am_usbreset_OBJECTS = usbreset.$(OBJEXT)
  124 usbreset_OBJECTS = $(am_usbreset_OBJECTS)
  125 usbreset_LDADD = $(LDADD)
  126 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  127 am__vpath_adj = case $$p in \
  128     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  129     *) f=$$p;; \
  130   esac;
  131 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  132 am__install_max = 40
  133 am__nobase_strip_setup = \
  134   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  135 am__nobase_strip = \
  136   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  137 am__nobase_list = $(am__nobase_strip_setup); \
  138   for p in $$list; do echo "$$p $$p"; done | \
  139   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  140   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  141     if (++n[$$2] == $(am__install_max)) \
  142       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  143     END { for (dir in files) print dir, files[dir] }'
  144 am__base_list = \
  145   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  146   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  147 am__uninstall_files_from_dir = { \
  148   test -z "$$files" \
  149     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  150     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  151          $(am__cd) "$$dir" && rm -f $$files; }; \
  152   }
  153 SCRIPTS = $(bin_SCRIPTS) $(sbin_SCRIPTS)
  154 AM_V_P = $(am__v_P_@AM_V@)
  155 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  156 am__v_P_0 = false
  157 am__v_P_1 = :
  158 AM_V_GEN = $(am__v_GEN_@AM_V@)
  159 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  160 am__v_GEN_0 = @echo "  GEN     " $@;
  161 am__v_GEN_1 = 
  162 AM_V_at = $(am__v_at_@AM_V@)
  163 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  164 am__v_at_0 = @
  165 am__v_at_1 = 
  166 DEFAULT_INCLUDES = -I.@am__isrc@
  167 depcomp = $(SHELL) $(top_srcdir)/depcomp
  168 am__maybe_remake_depfiles = depfiles
  169 am__depfiles_remade = ./$(DEPDIR)/lsusb-desc-defs.Po \
  170 	./$(DEPDIR)/lsusb-desc-dump.Po ./$(DEPDIR)/lsusb-lsusb-t.Po \
  171 	./$(DEPDIR)/lsusb-lsusb.Po ./$(DEPDIR)/lsusb-names.Po \
  172 	./$(DEPDIR)/lsusb-sysfs.Po ./$(DEPDIR)/lsusb-usbmisc.Po \
  173 	./$(DEPDIR)/usbreset.Po
  174 am__mv = mv -f
  175 AM_V_lt = $(am__v_lt_@AM_V@)
  176 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  177 am__v_lt_0 = --silent
  178 am__v_lt_1 = 
  179 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  180 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  181 AM_V_CC = $(am__v_CC_@AM_V@)
  182 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  183 am__v_CC_0 = @echo "  CC      " $@;
  184 am__v_CC_1 = 
  185 CCLD = $(CC)
  186 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  187 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  188 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  189 am__v_CCLD_0 = @echo "  CCLD    " $@;
  190 am__v_CCLD_1 = 
  191 SOURCES = $(lsusb_SOURCES) $(usbreset_SOURCES)
  192 DIST_SOURCES = $(lsusb_SOURCES) $(usbreset_SOURCES)
  193 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  194 	ctags-recursive dvi-recursive html-recursive info-recursive \
  195 	install-data-recursive install-dvi-recursive \
  196 	install-exec-recursive install-html-recursive \
  197 	install-info-recursive install-pdf-recursive \
  198 	install-ps-recursive install-recursive installcheck-recursive \
  199 	installdirs-recursive pdf-recursive ps-recursive \
  200 	tags-recursive uninstall-recursive
  201 am__can_run_installinfo = \
  202   case $$AM_UPDATE_INFO_DIR in \
  203     n|no|NO) false;; \
  204     *) (install-info --version) >/dev/null 2>&1;; \
  205   esac
  206 man1dir = $(mandir)/man1
  207 man8dir = $(mandir)/man8
  208 NROFF = nroff
  209 MANS = $(man_MANS)
  210 DATA = $(data_DATA)
  211 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  212   distclean-recursive maintainer-clean-recursive
  213 am__recursive_targets = \
  214   $(RECURSIVE_TARGETS) \
  215   $(RECURSIVE_CLEAN_TARGETS) \
  216   $(am__extra_recursive_targets)
  217 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  218 	cscope distdir distdir-am dist dist-all distcheck
  219 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
  220 	config.h.in
  221 # Read a list of newline-separated strings from the standard input,
  222 # and print each of them once, without duplicates.  Input order is
  223 # *not* preserved.
  224 am__uniquify_input = $(AWK) '\
  225   BEGIN { nonempty = 0; } \
  226   { items[$$0] = 1; nonempty = 1; } \
  227   END { if (nonempty) { for (i in items) print i; }; } \
  228 '
  229 # Make sure the list of sources is unique.  This is necessary because,
  230 # e.g., the same source file might be shared among _SOURCES variables
  231 # for different programs/libraries.
  232 am__define_uniq_tagged_files = \
  233   list='$(am__tagged_files)'; \
  234   unique=`for i in $$list; do \
  235     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  236   done | $(am__uniquify_input)`
  237 DIST_SUBDIRS = $(SUBDIRS)
  238 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in NEWS \
  239 	README.md compile depcomp install-sh missing
  240 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  241 distdir = $(PACKAGE)-$(VERSION)
  242 top_distdir = $(distdir)
  243 am__remove_distdir = \
  244   if test -d "$(distdir)"; then \
  245     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  246       && rm -rf "$(distdir)" \
  247       || { sleep 5 && rm -rf "$(distdir)"; }; \
  248   else :; fi
  249 am__post_remove_distdir = $(am__remove_distdir)
  250 am__relativize = \
  251   dir0=`pwd`; \
  252   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  253   sed_rest='s,^[^/]*/*,,'; \
  254   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  255   sed_butlast='s,/*[^/]*$$,,'; \
  256   while test -n "$$dir1"; do \
  257     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  258     if test "$$first" != "."; then \
  259       if test "$$first" = ".."; then \
  260         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  261         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  262       else \
  263         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  264         if test "$$first2" = "$$first"; then \
  265           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  266         else \
  267           dir2="../$$dir2"; \
  268         fi; \
  269         dir0="$$dir0"/"$$first"; \
  270       fi; \
  271     fi; \
  272     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  273   done; \
  274   reldir="$$dir2"
  275 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
  276 GZIP_ENV = --best
  277 DIST_TARGETS = dist-bzip2 dist-gzip
  278 # Exists only to be overridden by the user if desired.
  279 AM_DISTCHECK_DVI_TARGET = dvi
  280 distuninstallcheck_listfiles = find . -type f -print
  281 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  282   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  283 distcleancheck_listfiles = find . -type f -print
  284 ACLOCAL = @ACLOCAL@
  285 AMTAR = @AMTAR@
  286 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  287 AUTOCONF = @AUTOCONF@
  288 AUTOHEADER = @AUTOHEADER@
  289 AUTOMAKE = @AUTOMAKE@
  290 AWK = @AWK@
  291 CC = @CC@
  292 CCDEPMODE = @CCDEPMODE@
  293 CFLAGS = @CFLAGS@
  294 CPPFLAGS = @CPPFLAGS@
  295 CSCOPE = @CSCOPE@
  296 CTAGS = @CTAGS@
  297 CYGPATH_W = @CYGPATH_W@
  298 DEFS = @DEFS@
  299 DEPDIR = @DEPDIR@
  300 ECHO_C = @ECHO_C@
  301 ECHO_N = @ECHO_N@
  302 ECHO_T = @ECHO_T@
  303 ETAGS = @ETAGS@
  304 EXEEXT = @EXEEXT@
  305 INSTALL = @INSTALL@
  306 INSTALL_DATA = @INSTALL_DATA@
  307 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  308 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  309 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  310 LDFLAGS = @LDFLAGS@
  311 LIBOBJS = @LIBOBJS@
  312 LIBS = @LIBS@
  313 LIBUSB_CFLAGS = @LIBUSB_CFLAGS@
  314 LIBUSB_LIBS = @LIBUSB_LIBS@
  315 LTLIBOBJS = @LTLIBOBJS@
  316 MAKEINFO = @MAKEINFO@
  317 MKDIR_P = @MKDIR_P@
  318 OBJEXT = @OBJEXT@
  319 PACKAGE = @PACKAGE@
  320 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  321 PACKAGE_NAME = @PACKAGE_NAME@
  322 PACKAGE_STRING = @PACKAGE_STRING@
  323 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  324 PACKAGE_URL = @PACKAGE_URL@
  325 PACKAGE_VERSION = @PACKAGE_VERSION@
  326 PATH_SEPARATOR = @PATH_SEPARATOR@
  327 PKG_CONFIG = @PKG_CONFIG@
  328 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  329 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  330 SET_MAKE = @SET_MAKE@
  331 SHELL = @SHELL@
  332 STRIP = @STRIP@
  333 UDEV_CFLAGS = @UDEV_CFLAGS@
  334 UDEV_LIBS = @UDEV_LIBS@
  335 VERSION = @VERSION@
  336 abs_builddir = @abs_builddir@
  337 abs_srcdir = @abs_srcdir@
  338 abs_top_builddir = @abs_top_builddir@
  339 abs_top_srcdir = @abs_top_srcdir@
  340 ac_ct_CC = @ac_ct_CC@
  341 am__include = @am__include@
  342 am__leading_dot = @am__leading_dot@
  343 am__quote = @am__quote@
  344 am__tar = @am__tar@
  345 am__untar = @am__untar@
  346 bindir = @bindir@
  347 build_alias = @build_alias@
  348 builddir = @builddir@
  349 datadir = @datadir@
  350 datarootdir = @datarootdir@
  351 docdir = @docdir@
  352 dvidir = @dvidir@
  353 exec_prefix = @exec_prefix@
  354 host_alias = @host_alias@
  355 htmldir = @htmldir@
  356 includedir = @includedir@
  357 infodir = @infodir@
  358 install_sh = @install_sh@
  359 libdir = @libdir@
  360 libexecdir = @libexecdir@
  361 localedir = @localedir@
  362 localstatedir = @localstatedir@
  363 mandir = @mandir@
  364 mkdir_p = @mkdir_p@
  365 oldincludedir = @oldincludedir@
  366 pdfdir = @pdfdir@
  367 prefix = @prefix@
  368 program_transform_name = @program_transform_name@
  369 psdir = @psdir@
  370 runstatedir = @runstatedir@
  371 sbindir = @sbindir@
  372 sharedstatedir = @sharedstatedir@
  373 srcdir = @srcdir@
  374 subdirs = @subdirs@
  375 sysconfdir = @sysconfdir@
  376 target_alias = @target_alias@
  377 top_build_prefix = @top_build_prefix@
  378 top_builddir = @top_builddir@
  379 top_srcdir = @top_srcdir@
  380 SUBDIRS = \
  381 	usbhid-dump
  382 
  383 AM_LDFLAGS = \
  384 	-Wl,--as-needed
  385 
  386 data_DATA = 
  387 sbin_SCRIPTS = 
  388 bin_SCRIPTS = \
  389 	usb-devices \
  390 	lsusb.py
  391 
  392 lsusb_SOURCES = \
  393 	lsusb.c lsusb.h \
  394 	lsusb-t.c \
  395 	list.h \
  396 	desc-defs.c desc-defs.h \
  397 	desc-dump.c desc-dump.h \
  398 	names.c names.h \
  399 	sysfs.c sysfs.h \
  400 	usb-spec.h \
  401 	usbmisc.c usbmisc.h
  402 
  403 lsusb_CPPFLAGS = \
  404 	$(AM_CPPFLAGS) $(LIBUSB_CFLAGS) $(UDEV_CFLAGS)
  405 
  406 lsusb_LDADD = \
  407 	$(LIBUSB_LIBS) \
  408 	$(UDEV_LIBS)
  409 
  410 usbreset_SOURCES = \
  411 	usbreset.c
  412 
  413 man_MANS = \
  414 	lsusb.8	\
  415 	usbhid-dump.8 \
  416 	usb-devices.1
  417 
  418 EXTRA_DIST = \
  419 	lsusb.8.in \
  420 	usbhid-dump.8.in \
  421 	usb-devices.1.in \
  422 	usb-devices \
  423 	lsusb.py.in \
  424 	usbreset.c \
  425 	LICENSES/GPL-2.0-only.txt \
  426 	LICENSES/GPL-3.0-only.txt
  427 
  428 DISTCLEANFILES = \
  429 	lsusb.py \
  430 	lsusb.8 \
  431 	usb-devices.1 \
  432 	usbhid-dump.8
  433 
  434 all: config.h
  435 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  436 
  437 .SUFFIXES:
  438 .SUFFIXES: .c .o .obj
  439 am--refresh: Makefile
  440 	@:
  441 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  442 	@for dep in $?; do \
  443 	  case '$(am__configure_deps)' in \
  444 	    *$$dep*) \
  445 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  446 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  447 		&& exit 0; \
  448 	      exit 1;; \
  449 	  esac; \
  450 	done; \
  451 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  452 	$(am__cd) $(top_srcdir) && \
  453 	  $(AUTOMAKE) --foreign Makefile
  454 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  455 	@case '$?' in \
  456 	  *config.status*) \
  457 	    echo ' $(SHELL) ./config.status'; \
  458 	    $(SHELL) ./config.status;; \
  459 	  *) \
  460 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  461 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  462 	esac;
  463 
  464 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  465 	$(SHELL) ./config.status --recheck
  466 
  467 $(top_srcdir)/configure:  $(am__configure_deps)
  468 	$(am__cd) $(srcdir) && $(AUTOCONF)
  469 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  470 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  471 $(am__aclocal_m4_deps):
  472 
  473 config.h: stamp-h1
  474 	@test -f $@ || rm -f stamp-h1
  475 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  476 
  477 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  478 	@rm -f stamp-h1
  479 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  480 $(srcdir)/config.h.in:  $(am__configure_deps) 
  481 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  482 	rm -f stamp-h1
  483 	touch $@
  484 
  485 distclean-hdr:
  486 	-rm -f config.h stamp-h1
  487 install-binPROGRAMS: $(bin_PROGRAMS)
  488 	@$(NORMAL_INSTALL)
  489 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  490 	if test -n "$$list"; then \
  491 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  492 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  493 	fi; \
  494 	for p in $$list; do echo "$$p $$p"; done | \
  495 	sed 's/$(EXEEXT)$$//' | \
  496 	while read p p1; do if test -f $$p \
  497 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  498 	done | \
  499 	sed -e 'p;s,.*/,,;n;h' \
  500 	    -e 's|.*|.|' \
  501 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  502 	sed 'N;N;N;s,\n, ,g' | \
  503 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  504 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  505 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  506 	    else { print "f", $$3 "/" $$4, $$1; } } \
  507 	  END { for (d in files) print "f", d, files[d] }' | \
  508 	while read type dir files; do \
  509 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  510 	    test -z "$$files" || { \
  511 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  512 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  513 	    } \
  514 	; done
  515 
  516 uninstall-binPROGRAMS:
  517 	@$(NORMAL_UNINSTALL)
  518 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  519 	files=`for p in $$list; do echo "$$p"; done | \
  520 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  521 	      -e 's/$$/$(EXEEXT)/' \
  522 	`; \
  523 	test -n "$$list" || exit 0; \
  524 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  525 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  526 
  527 clean-binPROGRAMS:
  528 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  529 
  530 clean-noinstPROGRAMS:
  531 	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
  532 
  533 lsusb$(EXEEXT): $(lsusb_OBJECTS) $(lsusb_DEPENDENCIES) $(EXTRA_lsusb_DEPENDENCIES) 
  534 	@rm -f lsusb$(EXEEXT)
  535 	$(AM_V_CCLD)$(LINK) $(lsusb_OBJECTS) $(lsusb_LDADD) $(LIBS)
  536 
  537 usbreset$(EXEEXT): $(usbreset_OBJECTS) $(usbreset_DEPENDENCIES) $(EXTRA_usbreset_DEPENDENCIES) 
  538 	@rm -f usbreset$(EXEEXT)
  539 	$(AM_V_CCLD)$(LINK) $(usbreset_OBJECTS) $(usbreset_LDADD) $(LIBS)
  540 install-binSCRIPTS: $(bin_SCRIPTS)
  541 	@$(NORMAL_INSTALL)
  542 	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
  543 	if test -n "$$list"; then \
  544 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  545 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  546 	fi; \
  547 	for p in $$list; do \
  548 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  549 	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
  550 	done | \
  551 	sed -e 'p;s,.*/,,;n' \
  552 	    -e 'h;s|.*|.|' \
  553 	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
  554 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  555 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  556 	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
  557 	      if (++n[d] == $(am__install_max)) { \
  558 		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
  559 	    else { print "f", d "/" $$4, $$1 } } \
  560 	  END { for (d in files) print "f", d, files[d] }' | \
  561 	while read type dir files; do \
  562 	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  563 	     test -z "$$files" || { \
  564 	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  565 	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  566 	     } \
  567 	; done
  568 
  569 uninstall-binSCRIPTS:
  570 	@$(NORMAL_UNINSTALL)
  571 	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
  572 	files=`for p in $$list; do echo "$$p"; done | \
  573 	       sed -e 's,.*/,,;$(transform)'`; \
  574 	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
  575 install-sbinSCRIPTS: $(sbin_SCRIPTS)
  576 	@$(NORMAL_INSTALL)
  577 	@list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || list=; \
  578 	if test -n "$$list"; then \
  579 	  echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  580 	  $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  581 	fi; \
  582 	for p in $$list; do \
  583 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  584 	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
  585 	done | \
  586 	sed -e 'p;s,.*/,,;n' \
  587 	    -e 'h;s|.*|.|' \
  588 	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
  589 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
  590 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  591 	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
  592 	      if (++n[d] == $(am__install_max)) { \
  593 		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
  594 	    else { print "f", d "/" $$4, $$1 } } \
  595 	  END { for (d in files) print "f", d, files[d] }' | \
  596 	while read type dir files; do \
  597 	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  598 	     test -z "$$files" || { \
  599 	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  600 	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  601 	     } \
  602 	; done
  603 
  604 uninstall-sbinSCRIPTS:
  605 	@$(NORMAL_UNINSTALL)
  606 	@list='$(sbin_SCRIPTS)'; test -n "$(sbindir)" || exit 0; \
  607 	files=`for p in $$list; do echo "$$p"; done | \
  608 	       sed -e 's,.*/,,;$(transform)'`; \
  609 	dir='$(DESTDIR)$(sbindir)'; $(am__uninstall_files_from_dir)
  610 
  611 mostlyclean-compile:
  612 	-rm -f *.$(OBJEXT)
  613 
  614 distclean-compile:
  615 	-rm -f *.tab.c
  616 
  617 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-desc-defs.Po@am__quote@ # am--include-marker
  618 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-desc-dump.Po@am__quote@ # am--include-marker
  619 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-lsusb-t.Po@am__quote@ # am--include-marker
  620 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-lsusb.Po@am__quote@ # am--include-marker
  621 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-names.Po@am__quote@ # am--include-marker
  622 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-sysfs.Po@am__quote@ # am--include-marker
  623 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lsusb-usbmisc.Po@am__quote@ # am--include-marker
  624 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usbreset.Po@am__quote@ # am--include-marker
  625 
  626 $(am__depfiles_remade):
  627 	@$(MKDIR_P) $(@D)
  628 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
  629 
  630 am--depfiles: $(am__depfiles_remade)
  631 
  632 .c.o:
  633 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  634 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  635 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  636 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  637 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  638 
  639 .c.obj:
  640 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  641 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  642 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  643 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  644 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  645 
  646 lsusb-lsusb.o: lsusb.c
  647 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-lsusb.o -MD -MP -MF $(DEPDIR)/lsusb-lsusb.Tpo -c -o lsusb-lsusb.o `test -f 'lsusb.c' || echo '$(srcdir)/'`lsusb.c
  648 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-lsusb.Tpo $(DEPDIR)/lsusb-lsusb.Po
  649 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='lsusb.c' object='lsusb-lsusb.o' libtool=no @AMDEPBACKSLASH@
  650 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  651 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-lsusb.o `test -f 'lsusb.c' || echo '$(srcdir)/'`lsusb.c
  652 
  653 lsusb-lsusb.obj: lsusb.c
  654 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-lsusb.obj -MD -MP -MF $(DEPDIR)/lsusb-lsusb.Tpo -c -o lsusb-lsusb.obj `if test -f 'lsusb.c'; then $(CYGPATH_W) 'lsusb.c'; else $(CYGPATH_W) '$(srcdir)/lsusb.c'; fi`
  655 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-lsusb.Tpo $(DEPDIR)/lsusb-lsusb.Po
  656 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='lsusb.c' object='lsusb-lsusb.obj' libtool=no @AMDEPBACKSLASH@
  657 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  658 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-lsusb.obj `if test -f 'lsusb.c'; then $(CYGPATH_W) 'lsusb.c'; else $(CYGPATH_W) '$(srcdir)/lsusb.c'; fi`
  659 
  660 lsusb-lsusb-t.o: lsusb-t.c
  661 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-lsusb-t.o -MD -MP -MF $(DEPDIR)/lsusb-lsusb-t.Tpo -c -o lsusb-lsusb-t.o `test -f 'lsusb-t.c' || echo '$(srcdir)/'`lsusb-t.c
  662 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-lsusb-t.Tpo $(DEPDIR)/lsusb-lsusb-t.Po
  663 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='lsusb-t.c' object='lsusb-lsusb-t.o' libtool=no @AMDEPBACKSLASH@
  664 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  665 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-lsusb-t.o `test -f 'lsusb-t.c' || echo '$(srcdir)/'`lsusb-t.c
  666 
  667 lsusb-lsusb-t.obj: lsusb-t.c
  668 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-lsusb-t.obj -MD -MP -MF $(DEPDIR)/lsusb-lsusb-t.Tpo -c -o lsusb-lsusb-t.obj `if test -f 'lsusb-t.c'; then $(CYGPATH_W) 'lsusb-t.c'; else $(CYGPATH_W) '$(srcdir)/lsusb-t.c'; fi`
  669 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-lsusb-t.Tpo $(DEPDIR)/lsusb-lsusb-t.Po
  670 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='lsusb-t.c' object='lsusb-lsusb-t.obj' libtool=no @AMDEPBACKSLASH@
  671 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  672 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-lsusb-t.obj `if test -f 'lsusb-t.c'; then $(CYGPATH_W) 'lsusb-t.c'; else $(CYGPATH_W) '$(srcdir)/lsusb-t.c'; fi`
  673 
  674 lsusb-desc-defs.o: desc-defs.c
  675 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-desc-defs.o -MD -MP -MF $(DEPDIR)/lsusb-desc-defs.Tpo -c -o lsusb-desc-defs.o `test -f 'desc-defs.c' || echo '$(srcdir)/'`desc-defs.c
  676 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-desc-defs.Tpo $(DEPDIR)/lsusb-desc-defs.Po
  677 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='desc-defs.c' object='lsusb-desc-defs.o' libtool=no @AMDEPBACKSLASH@
  678 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  679 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-desc-defs.o `test -f 'desc-defs.c' || echo '$(srcdir)/'`desc-defs.c
  680 
  681 lsusb-desc-defs.obj: desc-defs.c
  682 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-desc-defs.obj -MD -MP -MF $(DEPDIR)/lsusb-desc-defs.Tpo -c -o lsusb-desc-defs.obj `if test -f 'desc-defs.c'; then $(CYGPATH_W) 'desc-defs.c'; else $(CYGPATH_W) '$(srcdir)/desc-defs.c'; fi`
  683 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-desc-defs.Tpo $(DEPDIR)/lsusb-desc-defs.Po
  684 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='desc-defs.c' object='lsusb-desc-defs.obj' libtool=no @AMDEPBACKSLASH@
  685 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  686 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-desc-defs.obj `if test -f 'desc-defs.c'; then $(CYGPATH_W) 'desc-defs.c'; else $(CYGPATH_W) '$(srcdir)/desc-defs.c'; fi`
  687 
  688 lsusb-desc-dump.o: desc-dump.c
  689 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-desc-dump.o -MD -MP -MF $(DEPDIR)/lsusb-desc-dump.Tpo -c -o lsusb-desc-dump.o `test -f 'desc-dump.c' || echo '$(srcdir)/'`desc-dump.c
  690 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-desc-dump.Tpo $(DEPDIR)/lsusb-desc-dump.Po
  691 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='desc-dump.c' object='lsusb-desc-dump.o' libtool=no @AMDEPBACKSLASH@
  692 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  693 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-desc-dump.o `test -f 'desc-dump.c' || echo '$(srcdir)/'`desc-dump.c
  694 
  695 lsusb-desc-dump.obj: desc-dump.c
  696 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-desc-dump.obj -MD -MP -MF $(DEPDIR)/lsusb-desc-dump.Tpo -c -o lsusb-desc-dump.obj `if test -f 'desc-dump.c'; then $(CYGPATH_W) 'desc-dump.c'; else $(CYGPATH_W) '$(srcdir)/desc-dump.c'; fi`
  697 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-desc-dump.Tpo $(DEPDIR)/lsusb-desc-dump.Po
  698 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='desc-dump.c' object='lsusb-desc-dump.obj' libtool=no @AMDEPBACKSLASH@
  699 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  700 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-desc-dump.obj `if test -f 'desc-dump.c'; then $(CYGPATH_W) 'desc-dump.c'; else $(CYGPATH_W) '$(srcdir)/desc-dump.c'; fi`
  701 
  702 lsusb-names.o: names.c
  703 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-names.o -MD -MP -MF $(DEPDIR)/lsusb-names.Tpo -c -o lsusb-names.o `test -f 'names.c' || echo '$(srcdir)/'`names.c
  704 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-names.Tpo $(DEPDIR)/lsusb-names.Po
  705 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='names.c' object='lsusb-names.o' libtool=no @AMDEPBACKSLASH@
  706 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  707 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-names.o `test -f 'names.c' || echo '$(srcdir)/'`names.c
  708 
  709 lsusb-names.obj: names.c
  710 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-names.obj -MD -MP -MF $(DEPDIR)/lsusb-names.Tpo -c -o lsusb-names.obj `if test -f 'names.c'; then $(CYGPATH_W) 'names.c'; else $(CYGPATH_W) '$(srcdir)/names.c'; fi`
  711 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-names.Tpo $(DEPDIR)/lsusb-names.Po
  712 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='names.c' object='lsusb-names.obj' libtool=no @AMDEPBACKSLASH@
  713 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  714 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-names.obj `if test -f 'names.c'; then $(CYGPATH_W) 'names.c'; else $(CYGPATH_W) '$(srcdir)/names.c'; fi`
  715 
  716 lsusb-sysfs.o: sysfs.c
  717 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-sysfs.o -MD -MP -MF $(DEPDIR)/lsusb-sysfs.Tpo -c -o lsusb-sysfs.o `test -f 'sysfs.c' || echo '$(srcdir)/'`sysfs.c
  718 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-sysfs.Tpo $(DEPDIR)/lsusb-sysfs.Po
  719 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='sysfs.c' object='lsusb-sysfs.o' libtool=no @AMDEPBACKSLASH@
  720 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  721 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-sysfs.o `test -f 'sysfs.c' || echo '$(srcdir)/'`sysfs.c
  722 
  723 lsusb-sysfs.obj: sysfs.c
  724 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-sysfs.obj -MD -MP -MF $(DEPDIR)/lsusb-sysfs.Tpo -c -o lsusb-sysfs.obj `if test -f 'sysfs.c'; then $(CYGPATH_W) 'sysfs.c'; else $(CYGPATH_W) '$(srcdir)/sysfs.c'; fi`
  725 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-sysfs.Tpo $(DEPDIR)/lsusb-sysfs.Po
  726 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='sysfs.c' object='lsusb-sysfs.obj' libtool=no @AMDEPBACKSLASH@
  727 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  728 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-sysfs.obj `if test -f 'sysfs.c'; then $(CYGPATH_W) 'sysfs.c'; else $(CYGPATH_W) '$(srcdir)/sysfs.c'; fi`
  729 
  730 lsusb-usbmisc.o: usbmisc.c
  731 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-usbmisc.o -MD -MP -MF $(DEPDIR)/lsusb-usbmisc.Tpo -c -o lsusb-usbmisc.o `test -f 'usbmisc.c' || echo '$(srcdir)/'`usbmisc.c
  732 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-usbmisc.Tpo $(DEPDIR)/lsusb-usbmisc.Po
  733 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='usbmisc.c' object='lsusb-usbmisc.o' libtool=no @AMDEPBACKSLASH@
  734 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  735 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-usbmisc.o `test -f 'usbmisc.c' || echo '$(srcdir)/'`usbmisc.c
  736 
  737 lsusb-usbmisc.obj: usbmisc.c
  738 @am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lsusb-usbmisc.obj -MD -MP -MF $(DEPDIR)/lsusb-usbmisc.Tpo -c -o lsusb-usbmisc.obj `if test -f 'usbmisc.c'; then $(CYGPATH_W) 'usbmisc.c'; else $(CYGPATH_W) '$(srcdir)/usbmisc.c'; fi`
  739 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/lsusb-usbmisc.Tpo $(DEPDIR)/lsusb-usbmisc.Po
  740 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='usbmisc.c' object='lsusb-usbmisc.obj' libtool=no @AMDEPBACKSLASH@
  741 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  742 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(lsusb_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lsusb-usbmisc.obj `if test -f 'usbmisc.c'; then $(CYGPATH_W) 'usbmisc.c'; else $(CYGPATH_W) '$(srcdir)/usbmisc.c'; fi`
  743 install-man1: $(man_MANS)
  744 	@$(NORMAL_INSTALL)
  745 	@list1=''; \
  746 	list2='$(man_MANS)'; \
  747 	test -n "$(man1dir)" \
  748 	  && test -n "`echo $$list1$$list2`" \
  749 	  || exit 0; \
  750 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  751 	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  752 	{ for i in $$list1; do echo "$$i"; done;  \
  753 	if test -n "$$list2"; then \
  754 	  for i in $$list2; do echo "$$i"; done \
  755 	    | sed -n '/\.1[a-z]*$$/p'; \
  756 	fi; \
  757 	} | while read p; do \
  758 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  759 	  echo "$$d$$p"; echo "$$p"; \
  760 	done | \
  761 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  762 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  763 	sed 'N;N;s,\n, ,g' | { \
  764 	list=; while read file base inst; do \
  765 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  766 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  767 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  768 	  fi; \
  769 	done; \
  770 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  771 	while read files; do \
  772 	  test -z "$$files" || { \
  773 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  774 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  775 	done; }
  776 
  777 uninstall-man1:
  778 	@$(NORMAL_UNINSTALL)
  779 	@list=''; test -n "$(man1dir)" || exit 0; \
  780 	files=`{ for i in $$list; do echo "$$i"; done; \
  781 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  782 	  sed -n '/\.1[a-z]*$$/p'; \
  783 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  784 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  785 	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  786 install-man8: $(man_MANS)
  787 	@$(NORMAL_INSTALL)
  788 	@list1=''; \
  789 	list2='$(man_MANS)'; \
  790 	test -n "$(man8dir)" \
  791 	  && test -n "`echo $$list1$$list2`" \
  792 	  || exit 0; \
  793 	echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  794 	$(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  795 	{ for i in $$list1; do echo "$$i"; done;  \
  796 	if test -n "$$list2"; then \
  797 	  for i in $$list2; do echo "$$i"; done \
  798 	    | sed -n '/\.8[a-z]*$$/p'; \
  799 	fi; \
  800 	} | while read p; do \
  801 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  802 	  echo "$$d$$p"; echo "$$p"; \
  803 	done | \
  804 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  805 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  806 	sed 'N;N;s,\n, ,g' | { \
  807 	list=; while read file base inst; do \
  808 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  809 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  810 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  811 	  fi; \
  812 	done; \
  813 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  814 	while read files; do \
  815 	  test -z "$$files" || { \
  816 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  817 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  818 	done; }
  819 
  820 uninstall-man8:
  821 	@$(NORMAL_UNINSTALL)
  822 	@list=''; test -n "$(man8dir)" || exit 0; \
  823 	files=`{ for i in $$list; do echo "$$i"; done; \
  824 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  825 	  sed -n '/\.8[a-z]*$$/p'; \
  826 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  827 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  828 	dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  829 install-dataDATA: $(data_DATA)
  830 	@$(NORMAL_INSTALL)
  831 	@list='$(data_DATA)'; test -n "$(datadir)" || list=; \
  832 	if test -n "$$list"; then \
  833 	  echo " $(MKDIR_P) '$(DESTDIR)$(datadir)'"; \
  834 	  $(MKDIR_P) "$(DESTDIR)$(datadir)" || exit 1; \
  835 	fi; \
  836 	for p in $$list; do \
  837 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  838 	  echo "$$d$$p"; \
  839 	done | $(am__base_list) | \
  840 	while read files; do \
  841 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(datadir)'"; \
  842 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(datadir)" || exit $$?; \
  843 	done
  844 
  845 uninstall-dataDATA:
  846 	@$(NORMAL_UNINSTALL)
  847 	@list='$(data_DATA)'; test -n "$(datadir)" || list=; \
  848 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  849 	dir='$(DESTDIR)$(datadir)'; $(am__uninstall_files_from_dir)
  850 
  851 # This directory's subdirectories are mostly independent; you can cd
  852 # into them and run 'make' without going through this Makefile.
  853 # To change the values of 'make' variables: instead of editing Makefiles,
  854 # (1) if the variable is set in 'config.status', edit 'config.status'
  855 #     (which will cause the Makefiles to be regenerated when you run 'make');
  856 # (2) otherwise, pass the desired values on the 'make' command line.
  857 $(am__recursive_targets):
  858 	@fail=; \
  859 	if $(am__make_keepgoing); then \
  860 	  failcom='fail=yes'; \
  861 	else \
  862 	  failcom='exit 1'; \
  863 	fi; \
  864 	dot_seen=no; \
  865 	target=`echo $@ | sed s/-recursive//`; \
  866 	case "$@" in \
  867 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  868 	  *) list='$(SUBDIRS)' ;; \
  869 	esac; \
  870 	for subdir in $$list; do \
  871 	  echo "Making $$target in $$subdir"; \
  872 	  if test "$$subdir" = "."; then \
  873 	    dot_seen=yes; \
  874 	    local_target="$$target-am"; \
  875 	  else \
  876 	    local_target="$$target"; \
  877 	  fi; \
  878 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  879 	  || eval $$failcom; \
  880 	done; \
  881 	if test "$$dot_seen" = "no"; then \
  882 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  883 	fi; test -z "$$fail"
  884 
  885 ID: $(am__tagged_files)
  886 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  887 tags: tags-recursive
  888 TAGS: tags
  889 
  890 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  891 	set x; \
  892 	here=`pwd`; \
  893 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  894 	  include_option=--etags-include; \
  895 	  empty_fix=.; \
  896 	else \
  897 	  include_option=--include; \
  898 	  empty_fix=; \
  899 	fi; \
  900 	list='$(SUBDIRS)'; for subdir in $$list; do \
  901 	  if test "$$subdir" = .; then :; else \
  902 	    test ! -f $$subdir/TAGS || \
  903 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  904 	  fi; \
  905 	done; \
  906 	$(am__define_uniq_tagged_files); \
  907 	shift; \
  908 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  909 	  test -n "$$unique" || unique=$$empty_fix; \
  910 	  if test $$# -gt 0; then \
  911 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  912 	      "$$@" $$unique; \
  913 	  else \
  914 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  915 	      $$unique; \
  916 	  fi; \
  917 	fi
  918 ctags: ctags-recursive
  919 
  920 CTAGS: ctags
  921 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  922 	$(am__define_uniq_tagged_files); \
  923 	test -z "$(CTAGS_ARGS)$$unique" \
  924 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  925 	     $$unique
  926 
  927 GTAGS:
  928 	here=`$(am__cd) $(top_builddir) && pwd` \
  929 	  && $(am__cd) $(top_srcdir) \
  930 	  && gtags -i $(GTAGS_ARGS) "$$here"
  931 cscope: cscope.files
  932 	test ! -s cscope.files \
  933 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  934 clean-cscope:
  935 	-rm -f cscope.files
  936 cscope.files: clean-cscope cscopelist
  937 cscopelist: cscopelist-recursive
  938 
  939 cscopelist-am: $(am__tagged_files)
  940 	list='$(am__tagged_files)'; \
  941 	case "$(srcdir)" in \
  942 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  943 	  *) sdir=$(subdir)/$(srcdir) ;; \
  944 	esac; \
  945 	for i in $$list; do \
  946 	  if test -f "$$i"; then \
  947 	    echo "$(subdir)/$$i"; \
  948 	  else \
  949 	    echo "$$sdir/$$i"; \
  950 	  fi; \
  951 	done >> $(top_builddir)/cscope.files
  952 
  953 distclean-tags:
  954 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  955 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  956 distdir: $(BUILT_SOURCES)
  957 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  958 
  959 distdir-am: $(DISTFILES)
  960 	@case `sed 15q $(srcdir)/NEWS` in \
  961 	*"$(VERSION)"*) : ;; \
  962 	*) \
  963 	  echo "NEWS not updated; not releasing" 1>&2; \
  964 	  exit 1;; \
  965 	esac
  966 	$(am__remove_distdir)
  967 	test -d "$(distdir)" || mkdir "$(distdir)"
  968 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  969 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  970 	list='$(DISTFILES)'; \
  971 	  dist_files=`for file in $$list; do echo $$file; done | \
  972 	  sed -e "s|^$$srcdirstrip/||;t" \
  973 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  974 	case $$dist_files in \
  975 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  976 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  977 			   sort -u` ;; \
  978 	esac; \
  979 	for file in $$dist_files; do \
  980 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  981 	  if test -d $$d/$$file; then \
  982 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  983 	    if test -d "$(distdir)/$$file"; then \
  984 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  985 	    fi; \
  986 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  987 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  988 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  989 	    fi; \
  990 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  991 	  else \
  992 	    test -f "$(distdir)/$$file" \
  993 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  994 	    || exit 1; \
  995 	  fi; \
  996 	done
  997 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  998 	  if test "$$subdir" = .; then :; else \
  999 	    $(am__make_dryrun) \
 1000 	      || test -d "$(distdir)/$$subdir" \
 1001 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
 1002 	      || exit 1; \
 1003 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
 1004 	    $(am__relativize); \
 1005 	    new_distdir=$$reldir; \
 1006 	    dir1=$$subdir; dir2="$(top_distdir)"; \
 1007 	    $(am__relativize); \
 1008 	    new_top_distdir=$$reldir; \
 1009 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
 1010 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
 1011 	    ($(am__cd) $$subdir && \
 1012 	      $(MAKE) $(AM_MAKEFLAGS) \
 1013 	        top_distdir="$$new_top_distdir" \
 1014 	        distdir="$$new_distdir" \
 1015 		am__remove_distdir=: \
 1016 		am__skip_length_check=: \
 1017 		am__skip_mode_fix=: \
 1018 	        distdir) \
 1019 	      || exit 1; \
 1020 	  fi; \
 1021 	done
 1022 	-test -n "$(am__skip_mode_fix)" \
 1023 	|| find "$(distdir)" -type d ! -perm -755 \
 1024 		-exec chmod u+rwx,go+rx {} \; -o \
 1025 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
 1026 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
 1027 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
 1028 	|| chmod -R a+r "$(distdir)"
 1029 dist-gzip: distdir
 1030 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
 1031 	$(am__post_remove_distdir)
 1032 dist-bzip2: distdir
 1033 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
 1034 	$(am__post_remove_distdir)
 1035 
 1036 dist-lzip: distdir
 1037 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
 1038 	$(am__post_remove_distdir)
 1039 
 1040 dist-xz: distdir
 1041 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
 1042 	$(am__post_remove_distdir)
 1043 
 1044 dist-zstd: distdir
 1045 	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
 1046 	$(am__post_remove_distdir)
 1047 
 1048 dist-tarZ: distdir
 1049 	@echo WARNING: "Support for distribution archives compressed with" \
 1050 		       "legacy program 'compress' is deprecated." >&2
 1051 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
 1052 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
 1053 	$(am__post_remove_distdir)
 1054 
 1055 dist-shar: distdir
 1056 	@echo WARNING: "Support for shar distribution archives is" \
 1057 	               "deprecated." >&2
 1058 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
 1059 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
 1060 	$(am__post_remove_distdir)
 1061 
 1062 dist-zip: distdir
 1063 	-rm -f $(distdir).zip
 1064 	zip -rq $(distdir).zip $(distdir)
 1065 	$(am__post_remove_distdir)
 1066 
 1067 dist dist-all:
 1068 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
 1069 	$(am__post_remove_distdir)
 1070 
 1071 # This target untars the dist file and tries a VPATH configuration.  Then
 1072 # it guarantees that the distribution is self-contained by making another
 1073 # tarfile.
 1074 distcheck: dist
 1075 	case '$(DIST_ARCHIVES)' in \
 1076 	*.tar.gz*) \
 1077 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
 1078 	*.tar.bz2*) \
 1079 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
 1080 	*.tar.lz*) \
 1081 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
 1082 	*.tar.xz*) \
 1083 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
 1084 	*.tar.Z*) \
 1085 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
 1086 	*.shar.gz*) \
 1087 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
 1088 	*.zip*) \
 1089 	  unzip $(distdir).zip ;;\
 1090 	*.tar.zst*) \
 1091 	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
 1092 	esac
 1093 	chmod -R a-w $(distdir)
 1094 	chmod u+w $(distdir)
 1095 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
 1096 	chmod a-w $(distdir)
 1097 	test -d $(distdir)/_build || exit 0; \
 1098 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
 1099 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
 1100 	  && am__cwd=`pwd` \
 1101 	  && $(am__cd) $(distdir)/_build/sub \
 1102 	  && ../../configure \
 1103 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
 1104 	    $(DISTCHECK_CONFIGURE_FLAGS) \
 1105 	    --srcdir=../.. --prefix="$$dc_install_base" \
 1106 	  && $(MAKE) $(AM_MAKEFLAGS) \
 1107 	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
 1108 	  && $(MAKE) $(AM_MAKEFLAGS) check \
 1109 	  && $(MAKE) $(AM_MAKEFLAGS) install \
 1110 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
 1111 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
 1112 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
 1113 	        distuninstallcheck \
 1114 	  && chmod -R a-w "$$dc_install_base" \
 1115 	  && ({ \
 1116 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
 1117 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
 1118 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
 1119 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
 1120 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
 1121 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
 1122 	  && rm -rf "$$dc_destdir" \
 1123 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
 1124 	  && rm -rf $(DIST_ARCHIVES) \
 1125 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
 1126 	  && cd "$$am__cwd" \
 1127 	  || exit 1
 1128 	$(am__post_remove_distdir)
 1129 	@(echo "$(distdir) archives ready for distribution: "; \
 1130 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
 1131 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
 1132 distuninstallcheck:
 1133 	@test -n '$(distuninstallcheck_dir)' || { \
 1134 	  echo 'ERROR: trying to run $@ with an empty' \
 1135 	       '$$(distuninstallcheck_dir)' >&2; \
 1136 	  exit 1; \
 1137 	}; \
 1138 	$(am__cd) '$(distuninstallcheck_dir)' || { \
 1139 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
 1140 	  exit 1; \
 1141 	}; \
 1142 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
 1143 	   || { echo "ERROR: files left after uninstall:" ; \
 1144 	        if test -n "$(DESTDIR)"; then \
 1145 	          echo "  (check DESTDIR support)"; \
 1146 	        fi ; \
 1147 	        $(distuninstallcheck_listfiles) ; \
 1148 	        exit 1; } >&2
 1149 distcleancheck: distclean
 1150 	@if test '$(srcdir)' = . ; then \
 1151 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
 1152 	  exit 1 ; \
 1153 	fi
 1154 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
 1155 	  || { echo "ERROR: files left in build directory after distclean:" ; \
 1156 	       $(distcleancheck_listfiles) ; \
 1157 	       exit 1; } >&2
 1158 check-am: all-am
 1159 check: check-recursive
 1160 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS) $(DATA) config.h
 1161 installdirs: installdirs-recursive
 1162 installdirs-am:
 1163 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(datadir)"; do \
 1164 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 1165 	done
 1166 install: install-recursive
 1167 install-exec: install-exec-recursive
 1168 install-data: install-data-recursive
 1169 uninstall: uninstall-recursive
 1170 
 1171 install-am: all-am
 1172 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1173 
 1174 installcheck: installcheck-recursive
 1175 install-strip:
 1176 	if test -z '$(STRIP)'; then \
 1177 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1178 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1179 	      install; \
 1180 	else \
 1181 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1182 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1183 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1184 	fi
 1185 mostlyclean-generic:
 1186 
 1187 clean-generic:
 1188 
 1189 distclean-generic:
 1190 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1191 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1192 	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
 1193 
 1194 maintainer-clean-generic:
 1195 	@echo "This command is intended for maintainers to use"
 1196 	@echo "it deletes files that may require special tools to rebuild."
 1197 clean: clean-recursive
 1198 
 1199 clean-am: clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
 1200 	mostlyclean-am
 1201 
 1202 distclean: distclean-recursive
 1203 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
 1204 		-rm -f ./$(DEPDIR)/lsusb-desc-defs.Po
 1205 	-rm -f ./$(DEPDIR)/lsusb-desc-dump.Po
 1206 	-rm -f ./$(DEPDIR)/lsusb-lsusb-t.Po
 1207 	-rm -f ./$(DEPDIR)/lsusb-lsusb.Po
 1208 	-rm -f ./$(DEPDIR)/lsusb-names.Po
 1209 	-rm -f ./$(DEPDIR)/lsusb-sysfs.Po
 1210 	-rm -f ./$(DEPDIR)/lsusb-usbmisc.Po
 1211 	-rm -f ./$(DEPDIR)/usbreset.Po
 1212 	-rm -f Makefile
 1213 distclean-am: clean-am distclean-compile distclean-generic \
 1214 	distclean-hdr distclean-local distclean-tags
 1215 
 1216 dvi: dvi-recursive
 1217 
 1218 dvi-am:
 1219 
 1220 html: html-recursive
 1221 
 1222 html-am:
 1223 
 1224 info: info-recursive
 1225 
 1226 info-am:
 1227 
 1228 install-data-am: install-dataDATA install-man
 1229 
 1230 install-dvi: install-dvi-recursive
 1231 
 1232 install-dvi-am:
 1233 
 1234 install-exec-am: install-binPROGRAMS install-binSCRIPTS \
 1235 	install-sbinSCRIPTS
 1236 
 1237 install-html: install-html-recursive
 1238 
 1239 install-html-am:
 1240 
 1241 install-info: install-info-recursive
 1242 
 1243 install-info-am:
 1244 
 1245 install-man: install-man1 install-man8
 1246 
 1247 install-pdf: install-pdf-recursive
 1248 
 1249 install-pdf-am:
 1250 
 1251 install-ps: install-ps-recursive
 1252 
 1253 install-ps-am:
 1254 
 1255 installcheck-am:
 1256 
 1257 maintainer-clean: maintainer-clean-recursive
 1258 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
 1259 	-rm -rf $(top_srcdir)/autom4te.cache
 1260 		-rm -f ./$(DEPDIR)/lsusb-desc-defs.Po
 1261 	-rm -f ./$(DEPDIR)/lsusb-desc-dump.Po
 1262 	-rm -f ./$(DEPDIR)/lsusb-lsusb-t.Po
 1263 	-rm -f ./$(DEPDIR)/lsusb-lsusb.Po
 1264 	-rm -f ./$(DEPDIR)/lsusb-names.Po
 1265 	-rm -f ./$(DEPDIR)/lsusb-sysfs.Po
 1266 	-rm -f ./$(DEPDIR)/lsusb-usbmisc.Po
 1267 	-rm -f ./$(DEPDIR)/usbreset.Po
 1268 	-rm -f Makefile
 1269 maintainer-clean-am: distclean-am maintainer-clean-generic
 1270 
 1271 mostlyclean: mostlyclean-recursive
 1272 
 1273 mostlyclean-am: mostlyclean-compile mostlyclean-generic
 1274 
 1275 pdf: pdf-recursive
 1276 
 1277 pdf-am:
 1278 
 1279 ps: ps-recursive
 1280 
 1281 ps-am:
 1282 
 1283 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
 1284 	uninstall-dataDATA uninstall-man uninstall-sbinSCRIPTS
 1285 
 1286 uninstall-man: uninstall-man1 uninstall-man8
 1287 
 1288 .MAKE: $(am__recursive_targets) all install-am install-strip
 1289 
 1290 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
 1291 	am--depfiles am--refresh check check-am clean \
 1292 	clean-binPROGRAMS clean-cscope clean-generic \
 1293 	clean-noinstPROGRAMS cscope cscopelist-am ctags ctags-am dist \
 1294 	dist-all dist-bzip2 dist-gzip dist-lzip dist-shar dist-tarZ \
 1295 	dist-xz dist-zip dist-zstd distcheck distclean \
 1296 	distclean-compile distclean-generic distclean-hdr \
 1297 	distclean-local distclean-tags distcleancheck distdir \
 1298 	distuninstallcheck dvi dvi-am html html-am info info-am \
 1299 	install install-am install-binPROGRAMS install-binSCRIPTS \
 1300 	install-data install-data-am install-dataDATA install-dvi \
 1301 	install-dvi-am install-exec install-exec-am install-html \
 1302 	install-html-am install-info install-info-am install-man \
 1303 	install-man1 install-man8 install-pdf install-pdf-am \
 1304 	install-ps install-ps-am install-sbinSCRIPTS install-strip \
 1305 	installcheck installcheck-am installdirs installdirs-am \
 1306 	maintainer-clean maintainer-clean-generic mostlyclean \
 1307 	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
 1308 	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
 1309 	uninstall-binSCRIPTS uninstall-dataDATA uninstall-man \
 1310 	uninstall-man1 uninstall-man8 uninstall-sbinSCRIPTS
 1311 
 1312 .PRECIOUS: Makefile
 1313 
 1314 
 1315 lsusb.py: $(srcdir)/lsusb.py.in
 1316 	sed 's|VERSION|$(VERSION)|g;s|@usbids@|$(datadir)/usb.ids|g' $< >$@
 1317 	chmod 755 $@
 1318 
 1319 lsusb.8: $(srcdir)/lsusb.8.in
 1320 	sed 's|VERSION|$(VERSION)|g' $< >$@
 1321 
 1322 usbhid-dump.8: $(srcdir)/usbhid-dump.8.in
 1323 	sed 's|VERSION|$(VERSION)|g' $< >$@
 1324 
 1325 usb-devices.1: $(srcdir)/usb-devices.1.in
 1326 	sed 's|VERSION|$(VERSION)|g' $< >$@
 1327 
 1328 distclean-local:
 1329 	rm -rf autom4te.cache
 1330 
 1331 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1332 # Otherwise a system limit (for SysV at least) may be exceeded.
 1333 .NOEXPORT: